Listing bank accounts
GET /api/public/v1/bank_accounts
This endpoint returns a list of bank accounts linked to your Txn account.
Headers
Content-Type
application/vnd.api+json
Authorization
Bearer <api_key>
Response Body
data[].id
string
Bank account ID.
data[].type
string
Entity type returned. Always bankAccounts.
data[].attributes
object
Set of bank account attributes.
data[].attributes.beneficiaryName
string
Name of the beneficiary on the bank account.
data[].attributes.iban
string
Beneficiary IBAN.
data[].attributes.bankName
string
Name of the beneficiary's bank.
data[].attributes.bankBic
string
BIC/SWIFT code of the beneficiary's bank.
data[].attributes.label
string
User-defined label for the bank account.
data[].attributes.createdAt
string
Timestamp when the bank account was created. Refer to the Date and time format page.
data[].attributes.updatedAt
string
Timestamp when the bank account was last updated.
meta.page
number
Current page number.
meta.per_page
number
Page size used for the response.
meta.total
number
Total number of bank accounts available.
Response
Last updated